appointment/urls.py
from django.conf import settings
from django.contrib.auth import views as auth_views
from django.urls import path

from . import views

app_name = "appointments"

urlpatterns = [
    path("list-appointments/", views.list_appointment, name="list-appointments"),
    path("create-appointment/", views.create_appointment, name="create-appointment"),
    path("update-appointment/<str:pk>", views.update_appointment, name="update-appointment",),
    path("appointment/<str:pk>/start-consultation", views.start_consultation, name="start-consultation"),
#     path("show-details/<str:pk>", views.showDetails, name="show-details"),

]

collaborator/urls.py
from django.conf import settings
from django.contrib.auth import views as auth_views

from core.views import (
    logout_view,
    showProfile,
    listCollaborators,
    updateProfile,
)
from django.urls import path


app_name = "collaborator"

urlpatterns = [
    path("list-collaborator/", listCollaborators, name="list-collaborator"),
    path("update-profile-collaborator/<str:pk>", updateProfile, 
         name="update_profile_collaborator",
    ),
    # path("register/", login_page, name="register"),
    path("profile-user/", showProfile, name="profile_user"),
    path("accounts/login/", auth_views.LoginView.as_view(), name="login"),
    path("logout", logout_view, name="logout"),
    # path('logout/', logout, {'next_page': settings.LOGOUT_REDIRECT_URL}, name='logout'),
]

patient/urls.py
from django.conf import settings
from django.contrib.auth import views as auth_views
from django.urls import path

from patient.views import updatePatient

from . import views

app_name = "patient"

urlpatterns = [
    path("patient-list/", views.patientList, name="patient-list"),
    path("show-details/<str:pk>", views.showDetails, name="show-details"),
    path("patient-register/", views.registerPatient, name="patient-register"),
    path("patient-update/<str:pk>", updatePatient, name="patient-update",),
]

project_config/urls.py
from django.conf import settings
from django.conf.urls import url
from django.conf.urls.static import static
from django.contrib import admin
from filebrowser.sites import site
from django.contrib.auth import views as auth_views
from django.urls import include, path

from . import views

urlpatterns = (
    [
        path('admin/filebrowser/', site.urls),
        path("admin/", admin.site.urls),
        path("", views.home, name="home"),
        path("", include("collaborator.urls", namespace="collaborator")),
        path("", include("patient.urls", namespace="patient")),
        path("", include("appointment.urls", namespace="appointments")),
    ]
    + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
)

templates/base/asidebar.html
{% load static %}
<aside class="aside-menu">
    <ul class="nav nav-tabs" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" data-toggle="tab" href="#timeline" role="tab"><i class="icon-list"></i></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#settings" role="tab"><i class="icon-settings"></i></a>
        </li>
    </ul>

    <!-- Tab panes -->
    <div class="tab-content">
        <div class="tab-pane active" id="timeline" role="tabpanel">
            <div class="callout m-0 py-2 text-muted text-center bg-light text-uppercase">
                <small><b>Today</b></small>
            </div>
            <hr class="transparent mx-3 my-0">
            <div class="callout callout-warning m-0 py-3">
                <div class="avatar float-right">
                    <img src="{% static 'src/img/avatars/7.jpg' %}" class="img-avatar" alt="admin@bootstrapmaster.com">
                </div>
                <div>Meeting with
                    <strong>Lucas</strong>
                </div>
                <small class="text-muted mr-3"><i class="icon-calendar"></i>&nbsp; 1 - 3pm</small>
                <small class="text-muted"><i class="icon-location-pin"></i>&nbsp; Palo Alto, CA</small>
            </div>
            <hr class="mx-3 my-0">
            <div class="callout callout-info m-0 py-3">
                <div class="avatar float-right">
                    <img src="{% static 'src/img/avatars/4.jpg' %}" class="img-avatar" alt="admin@bootstrapmaster.com">
                </div>
                <div>Skype with
                    <strong>Megan</strong>
                </div>
                <small class="text-muted mr-3"><i class="icon-calendar"></i>&nbsp; 4 - 5pm</small>
                <small class="text-muted"><i class="icon-social-skype"></i>&nbsp; On-line</small>
            </div>
        </div>
        <div class="tab-pane p-3" id="settings" role="tabpanel">
            <h6>Settings</h6>
            <hr>
            <h6>System Utilization</h6>

            <div class="text-uppercase mb-1 mt-4">
                <small><b>CPU Usage</b></small>
            </div>
            <div class="progress progress-xs">
                <div class="progress-bar bg-info" role="progressbar" style="width: 25%" aria-valuenow="25"
                     aria-valuemin="0" aria-valuemax="100"></div>
            </div>
            <small class="text-muted">348 Processes. 1/4 Cores.</small>

            <div class="text-uppercase mb-1 mt-2">
                <small><b>Memory Usage</b></small>
            </div>
            <div class="progress progress-xs">
                <div class="progress-bar bg-warning" role="progressbar" style="width: 70%" aria-valuenow="70"
                     aria-valuemin="0" aria-valuemax="100"></div>
            </div>
            <small class="text-muted">11444GB/16384MB</small>

            <div class="text-uppercase mb-1 mt-2">
                <small><b>SSD 1 Usage</b></small>
            </div>
            <div class="progress progress-xs">
                <div class="progress-bar bg-danger" role="progressbar" style="width: 95%" aria-valuenow="95"
                     aria-valuemin="0" aria-valuemax="100"></div>
            </div>
            <small class="text-muted">243GB/256GB</small>

            <div class="text-uppercase mb-1 mt-2">
                <small><b>SSD 2 Usage</b></small>
            </div>
            <div class="progress progress-xs">
                <div class="progress-bar bg-success" role="progressbar" style="width: 10%" aria-valuenow="10"
                     aria-valuemin="0" aria-valuemax="100"></div>
            </div>
            <small class="text-muted">25GB/256GB</small>
        </div>
    </div>
</aside>

templates/base/base.html
<!DOCTYPE html>
<html lang="en">
<link rel="shortcut icon" type="image/x-icon" href="/static/dist/img/favicon.png">
<!--Headers-->
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Material Design for Bootstrap fonts and icons -->

{% include 'base/header.html' %}

<!-- BODY options, add following classes to body to change options

// Header options
1. '.header-fixed'					- Fixed Header

// Brand options
1. '.brand-minimized'       - Minimized brand (Only symbol)

// Sidebar options
1. '.sidebar-fixed'					- Fixed Sidebar
2. '.sidebar-hidden'				- Hidden Sidebar
3. '.sidebar-off-canvas'		- Off Canvas Sidebar
4. '.sidebar-minimized'			- Minimized Sidebar (Only icons)
5. '.sidebar-compact'			  - Compact Sidebar

// Aside options
1. '.aside-menu-fixed'			- Fixed Aside Menu
2. '.aside-menu-hidden'			- Hidden Aside Menu
3. '.aside-menu-off-canvas'	- Off Canvas Aside Menu

// Breadcrumb options
1. '.breadcrumb-fixed'			- Fixed Breadcrumb

// Footer options
1. '.footer-fixed'					- Fixed footer

-->

<body class="app header-fixed sidebar-fixed aside-menu-fixed aside-menu-hidden">
    <!--Navbar-->
    {% include 'base/navbar.html' %}

    <div class="app-body">
        <!--Sidebar-->
        {% include 'base/sidebar.html' %}

        <!-- Main content -->
        <main class="main">

            <!-- Breadcrumb -->
            {% include 'base/breadcrumb.html' %}

            <!-- Page contents -->
            <div class="container-fluid">
                {% include 'base/messages.html' %} 
                {% block content %} {% endblock %}
                <!--flag messages-->
            </div>
            <!-- /.conainer-fluid -->
        </main>


        <!--Aside bar-->
        {% include 'base/asidebar.html' %}


    </div>

    <!--Footer-->
    {% include 'base/footer.html' %}
    <!--CSS-->
    {% include 'base/css.html' %}
    <!--JS-->
    {% include 'base/js.html' %}

</body>

</html>

templates/base/breadcrumb.html
{% load static %}
<ol class="breadcrumb">
    <li class="breadcrumb-item" > <a href="{% url 'home' %}" style="text-decoration:none;">Home</a></li>
    <li class="breadcrumb-item"><a href="#" style="text-decoration:none;">Admin</a></li>
    <li class="breadcrumb-item active">Dashboard</li>

    <!-- Breadcrumb Menu-->
    <li class="breadcrumb-menu d-md-down-none">
        <div class="btn-group" role="group" aria-label="Button group">
            <a class="btn" href="#"><i class="icon-speech"></i></a>
            <a class="btn" href="{% url 'home' %}"><i class="icon-graph"></i> &nbsp;Dashboard</a>
            <a class="btn" href="#"><i class="icon-settings"></i> &nbsp;Settings</a>
        </div>
    </li>

    {% block breadcrumb %}
    {% endblock %}
</ol>

templates/base/css.html
{% load static %}
<!-- Material Design for Bootstrap fonts and icons -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Material+Icons">
<!-- Material Design for Bootstrap CSS -->
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
      crossorigin="anonymous"><!-- Bootstrap and necessary plugins -->
<link href="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/css/select2.min.css" rel="stylesheet" />


<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
<link rel="stylesheet" href="{% static 'dist/css/jquery.datetimepicker.min.css' %}">
<link rel="stylesheet" href="{% static 'dist/css/panel.css' %}">

{% block script %}

{% endblock %}

templates/base/data-table.html
<table class="table table-hover">
    <thead>
        <th>
            <th scope="col">Status</th>
            <th scope="col">Hora</th>
            <th scope="col">Paciente</th>
            <th scope="col">Telefone</th>
            <th scope="col">Dentista</th>
            <th scope="col">Procedimento</th>
        </th>
    </thead>
    <tbody>
        <tr>
            <th scope="row"><span class="badge badge-primary">consulta marcada</span></th>
            <td>Mark</td>
            <td>Otto</td>
            <td>@mdo</td>
            <td>@mdo</td>
            <td>@mdo</td>
        </tr>
        <tr>
            <th scope="row"><span class="badge badge-success">Consultando</span></th>
            <td>Jacob</td>
            <td>Thornton</td>
            <td>@fat</td>
            <td>@fat</td>
            <td>@fat</td>
        </tr>
        <tr>
            <th scope="row"><span class="badge badge-warning">Consulta Cancelada</span></th>
            <td>Larry</td>
            <td>the Bird</td>
            <td>@twitter</td>
            <td>@twitter</td>
            <td>@twitter</td>
        </tr>

    </tbody>

</table>

templates/base/footer.html
<footer class="app-footer">
    <span><a href="#">Cicero Régis</a> © 2019</span>
    <span class="ml-auto">Powered by <a href="#">Cícero Régis</a></span>
    {% block extrafooter %}
    {% endblock %}
</footer>

templates/base/header.html
{% load static %}
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="CoreUI - Open Source Bootstrap Admin Template">
    <meta name="author" content="Control Point">
    <meta name="keyword" content="">
    <link rel="shortcut icon" href="{% static 'img/favicon.png' %}">
    <title>Control Point</title>
    <!-- Icons -->
    <link href="{% static 'dist/vendors/css/font-awesome.min.css' %}" rel="stylesheet">
    <link href="{% static 'dist/vendors/css/simple-line-icons.min.css' %}" rel="stylesheet">

    <!-- Main styles for this application -->
    <link href="{% static 'dist/css/style.css' %}" rel="stylesheet">

    {% block extrahead %}
    {% endblock %}
</head>

templates/base/js.html
{% load static %}
<!-- Bootstrap and necessary plugins -->
<script src="{% static 'dist/vendors/js/jquery.min.js' %}"></script>
<script src="{% static 'dist/vendors/js/popper.min.js' %}"></script>
<script src="{% static 'dist/vendors/js/bootstrap.min.js' %}"></script>
<script src="{% static 'dist/vendors/js/pace.min.js' %}"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>



<!-- jQuery first, then Popper.js, then Bootstrap JS -->


<!-- <script>
    $(document).ready(function () 
   $('body').bootstrapMaterialDesign();
);
</script> -->


<!-- Plugins and scripts required by all views -->
<!--Chart JS is commented out due to console errors-->
<!--<script src="{% static 'dist/vendors/js/Chart.min.js' %}"></script>-->

<!-- CoreUI main scripts -->

<script src="{% static 'dist/js/app.js' %}"></script>
<script src="{% static 'dist/js/portal.js' %}"></script>

<!-- Plugins and scripts required by this views -->

<!-- Custom scripts required by this view -->
<script src="{% static 'dist/js/views/main.js' %}"></script>
<script src="{% static 'src/js/validation/mask.js' %}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.0/jquery.mask.js" type="text/javascript"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>

<script src="{% static 'dist/js/jquery.datetimepicker.full.min.js' %}"></script>
<link crossorigin="anonymous" href="https://cdnjs.cloudflare.com/ajax/libs/datepicker/0.6.5/datepicker.min.css"
      integrity="sha256-b88RdwbRJEzRx95nCuuva+hO5ExvXXnpX+78h8DjyOE=" rel="stylesheet"/>
<script src="{% static 'dist/js/datepicker-pt.js' %}"></script>
<script src="{% static 'dist/js/datepicker.js' %}"></script>
{% block script %}

{% endblock %}

templates/base/messages.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<!-- flag messages success -->
{% if messages %}
    {% for message in messages %}
        <div class="alert alert-{{ message.tags }} alert-dismissible text-center" role="alert">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                    aria-hidden="true">&times;</span></button>
            {{ message }}
        </div>
    {% endfor %}
{% endif %}


<!-- flag messages erros -->
{% if form.errors %}
    {% for field in form %}
        {% for error in field.errors %}
            <li><a href="#id_{{ field.name }}" class="text text-danger" style="text-decoration:none;">{{ error|escape }}</a></li>
        {% endfor %}
    {% endfor %}
{% endif %}
</body>
</html>

templates/base/navbar.html
{% load static %}
<header class="app-header navbar">
    <button class="navbar-toggler mobile-sidebar-toggler d-lg-none mr-auto" type="button">
        <span class="navbar-toggler-icon"></span>
    </button>
    <a class="navbar-brand" href="#"></a>
    <button class="navbar-toggler sidebar-toggler d-md-down-none " type="button">
        <span class="navbar-toggler-icon"></span>
    </button>
    <ul class="nav navbar-nav d-md-down-none">
        <li class="nav-item px-3">
            <a class="nav-link" href="#">Settings</a>
        </li>
    </ul>

    <ul class="nav navbar-nav ml-auto">
        {% if user.is_authenticated %}
        <p class="mb-0">Bem-vindo(a) <strong>{{ user }}</strong></p>
        {% endif %}
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle nav-link" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcTzkUTpA8urvDEBgB7ltguSPzmpGrzOTSz4WpeGEC-3Q2M9O5L1" class="img-avatar" alt="avatar">
            </a>
            <div class="dropdown-menu dropdown-menu-right">

                <div class="dropdown-header text-center">
                    <strong>Account</strong>
                </div>
                <a class="dropdown-item" href="#"><i class="fa fa-bell-o">

                    </i> Updates<span class="badge badge-info">42</span></a> {% if user.get_group_permissions %}
                <a class="dropdown-item" target="_blank" href="{% url 'admin:index' %}">
                    <i class="fa fa-gears"></i>Admin{% endif %}</a>
                <div class="dropdown-header text-center">
                    <strong>Settings</strong>
                </div>

                <a class="dropdown-item" href="{% url 'collaborator:profile_user' %}">
                    <i class="fa fa-user"></i>Perfil</a>
                <a class="dropdown-item" href="#">
                    <i class="fa fa-wrench"></i> Settings</a>
                <a class="dropdown-item" href="#">
                    <i class="fa fa-usd"></i> Payments
                    <span class="badge badge-secondary">42</span></a>
                <a class="dropdown-item" href="{% url 'collaborator:logout' %}"><i class="fa fa-lock"></i>Logout</a>
            </div>
        </li>
    </ul>
    <button class="navbar-toggler aside-menu-toggler" type="button">
        <span class="navbar-toggler-icon"></span>
    </button> {% block navbar %} {% endblock %}

</header>

templates/base/sidebar.html
{% load static %}
<div class="menu-list">
    <div class="sidebar">
        <nav class="sidebar-nav">
            <ul id="menu-content" class="nav ">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'home' %}"><i class="icon-speedometer"></i> Dashboard</a>
                </li>

                <li class="nav-item nav-dropdown" data-toggle="collapse" data-target="#products">
                    <a class="nav-link nav-dropdown-toggle" href="#"><i class="icon-speedometer"></i>
                        </i>Administração</a>
                </li>
                <li class="sub-menu collapse" id="products">
                    <a class="nav-link dropdown-item" href="{% url 'collaborator:list-collaborator' %}">
                        <i class="fa fa-users"></i>Funcionarios</a>

                    <a class="nav-link dropdown-item" href="{% url 'patient:patient-list' %}">
                        <i class="fa fa-users"></i>Pacientes</a>

                    <a class="nav-link dropdown-item" href="{% url 'appointments:list-appointments' %}">
                        <i class="fa fa-users"></i>Consultas</a>

                    <i class="icon-speedometer"></i> Configuração</a>
                    <a class="nav-link dropdown-item" href="#">
                        <i class="icon-speedometer"></i>Financeiro</a>
                </li>
            </ul>
        </nav>

        <button class="sidebar-minimizer brand-minimizer" type="button"></button> {% block sidebar %} {% endblock %}
    </div>
</div>